// Xonotic version (formatted for machines)
// used to determine if a client version is compatible
// this doesn't have to be bumped with every release
// bump when clients become incompatible or any other perfectly good reason
// (e.g. game data incompatibility, engine version incompatibility, etc
// note: this automatically filters the server browser, clients of the new
// version won't see old servers, and clients of the old version won't see new
// servers either
//
// e.g. Xonotic 1.5.1 RC1 will be 15101
set g_xonoticversion git "Xonotic version (formatted for humans)"

gameversion 800 // 0.8.0
gameversion_min 0 // git builds see all versions
gameversion_max 65535 // git builds see all versions

// compatibility guideline:
//   version a.b.c   = a0b0c
//   gameversion_min = a0(b-1)00 // show servers of the previous "line"
//   gameversion_max = a0(b+1)99 // show servers of the next "line"
// so, for a given gameversion, _min and _max calculate as follows:
//   gameversion_min = (gameversion / 100) * 100 - 100
//   gameversion_max = (gameversion / 100) * 100 + 199

// changes a cvar and reports it to the server (for the menu to notify the
// server about changes)
alias setreport "set \"$1\" \"$2\" ; sendcvar \"$1\""

seta cl_firststart "" "how many times the client has been run"
seta cl_startcount 0 "how many times the client has been run"

seta g_configversion 0	"Configuration file version (used to upgrade settings) 0: first run, or previous start was <2.4.1  Later, it's overridden by config.cfg, version ranges are defined in config_update.cfg"

// other aliases
alias +hook +button6
alias -hook -button6
alias +jetpack +button10
alias -jetpack -button10
alias use "impulse 21"

// for backwards compatibility
// TODO Remove after 0.8 release!
cl_particles_forcetraileffects 1

alias dropweapon "impulse 17"
alias +show_info +button7
alias -show_info -button7

// merge lightmaps up to 2048x2048 textures
mod_q3bsp_lightmapmergepower 4

// player defaults
_cl_color "112.211" // same effect as 112, but menuqc can detect this as the default and not intentionally set
_cl_name ""
_cl_playermodel models/player/erebus.iqm
_cl_playerskin 0

seta cl_reticle 1 "enable zoom reticles"
seta cl_reticle_stretch 0 "stretch reticles so they fit the screen (breaks image proportions)"
seta cl_reticle_normal 1 "draw an aiminig reticle when zooming with the zoom button"
seta cl_reticle_normal_alpha 1 "alpha of the normal reticle"
seta cl_reticle_weapon 1 "draw custom aiming reticle when zooming with certain weapons"
seta cl_reticle_weapon_alpha 1 "alpha of the custom reticle"

fov 100
seta cl_velocityzoom_enabled 0 "velocity based zooming of fov"
seta cl_velocityzoom_factor 0 "factor of fov zooming (negative values zoom out)"
seta cl_velocityzoom_type 3 "how to factor in speed, 1 = all velocity in all directions, 2 = velocity only in forward direction (can be negative), 3 = velocity only in forward direction (limited to forward only)"
seta cl_velocityzoom_speed 1000 "target speed for fov factoring"
seta cl_velocityzoom_time 0.2	"time value for averaging speed values"
seta cl_spawnzoom 1 "zoom effect immediately when a player spawns"
seta cl_spawnzoom_speed 1 "speed at which zooming occurs while spawning"
seta cl_spawnzoom_factor 2 "factor of zoom while spawning"
seta cl_zoomfactor 5	"how much +zoom will zoom (1-16)"
seta cl_zoomspeed 8	"how fast it will zoom (0.5-16), negative values mean instant zoom"
seta cl_zoomsensitivity 0	"how zoom changes sensitivity (0 = weakest, 1 = strongest)"

seta cl_unpress_zoom_on_spawn 1 "automatically unpress zoom when you spawn"
seta cl_unpress_zoom_on_death 1 "automatically unpress zoom when you die (and don't allow zoom again while dead)"
seta cl_unpress_zoom_on_weapon_switch 1 "automatically unpress zoom when you switch a weapon"
seta cl_unpress_attack_on_weapon_switch 1 "automatically unpress fire and fire1 attack buttons when you switch a weapon"

seta cl_spawn_event_particles 1 "pointparticles effect whenever a player spawns"
seta cl_spawn_event_sound 1 "sound effect whenever a player spawns"
//seta cl_spawn_point_model 0 "place a model at all spawn points" // still needs a model
seta cl_spawn_point_particles 1 "pointparticles effect at all spawn points" // managed by effects-.cfg files

freelook 1
sensitivity 6
v_gamma 1
viewsize 100
bgmvolume 1
volume 0.5
// fullscreen 1024x768x32bit
vid_bitsperpixel 32
vid_fullscreen 1
vid_width 1024
vid_height 768
vid_pixelheight 1
vid_resizable 0 // cannot be turned on before it is sure it cannot cause a r_restart
vid_desktopfullscreen 1
prvm_language en
set _menu_prvm_language ""
set _menu_vid_width "$vid_width"
set _menu_vid_height "$vid_height"
set _menu_vid_pixelheight "$vid_pixelheight"
set _menu_vid_desktopfullscreen "$vid_desktopfullscreen"
seta menu_vid_scale 0
seta menu_vid_allowdualscreenresolution 0
// 2D resolution 800x600
vid_conwidth 800
vid_conheight 600
// menu_conwidth, menu_conheight are set inside quake.rc
v_deathtilt 0 // needed for spectators (who are dead to avoid prediction)

// we want to use sRGB for our maps!
exec sRGB-disable.cfg
vid_sRGB_fallback 2
r_hdr_glowintensity 1
// #define Image_LinearFloatFromsRGBFloat(c) (((c) <= 0.04045f) ? (c) * (1.0f / 12.92f) : (float)pow(((c) + 0.055f)*(1.0f/1.055f), 2.4f))
set rpn_sRGB_to_linear "dup 0.055 add 1.055 div 2.4 pow exch 12.92 div dup 0.0031308 gt when"
// #define Image_sRGBFloatFromLinearFloat(c) (((c) < 0.0031308f) ? (c) * 12.92f : 1.055f * (float)pow((c), 1.0f/2.4f) - 0.055f)
set rpn_linear_to_sRGB "dup 1.0 2.4 div pow 1.055 mul 0.055 sub exch 12.92 mul dup 0.04045 ge when"

// -nosRGB to -sRGB sky shader conversion:
//
// q3map_sunExt 1 0.6875 0.375 340 25 47 0 16
//                                    ^^ elevation
//                             ^^^ sunlight
// q3map_skylight 110 3
//                ^^^ skylight
//
// With that, do (the last parameter is the ratio of skylight you assume hits
// the surfaces, about 0.25 for inner surfaces near sky, about 1.00 on
// terrain):
// ]skybox_nosRGB_to_sRGB 340 47 110 0.25
// rpn: still on stack: new_sunlight:
// rpn: still on stack: 380.464142
// rpn: still on stack: new_skylight:
// rpn: still on stack: 9.32523632
//
// The equivalent -sRGB shader then will have:
//
// q3map_sunExt 1 0.6875 0.375 380.464142 25 47 0 16
// q3map_skylight 9.32523632 3
alias skybox_nosRGB_to_sRGB "rpn $3 402.123 $4 div div $rpn_sRGB_to_linear 402.123 $4 div mul /new_skylight: $3 402.123 $4 div div $1 256 div $2 0.017453 mul sin mul add $rpn_sRGB_to_linear $3 402.123 $4 div div $rpn_sRGB_to_linear sub 256 mul $2 0.017453 mul sin div /new_sunlight:"

set cl_orthoview 0 "enable top-down view of the map- meant to be used for radar map images (note: orthoview sets cvars temporarily, requires restart to return them to normal)"
set cl_orthoview_nofog 1 "disable fog while in orthoview-- note, should not be enabled on ALL maps, i.e. oilrig works fine with this disabled"

// these settings determine how much the view is affected by movement/damage
cl_smoothviewheight 0.05 // time of the averaging to the viewheight value so that it creates a smooth transition for crouching and such. 0 for instant transition
cl_deathfade 0 // fade screen to dark red when dead, value represents how fast the fade is (higher is faster)
cl_bobcycle 0.5 // how long the cycle of up/down view movement takes (only works if cl_bob is not 0), default is 0.6
cl_bob 0 // how much view moves up/down when moving (does not move if cl_bobcycle is 0, but still enables cl_bobmodel), default is 0.02
cl_bob2cycle 1 // how long the cycle of left/right view movement takes (only works if cl_bob2 is not 0), default is 0.6
cl_bob2 0 // how much view moves left/right when moving (does not move if cl_bob2cycle is 0), default is 0.01
cl_bobfall 0.05 "how much the view swings down when falling (influenced by the speed you hit the ground with)"
cl_bobfallcycle 3 "speed of the bobfall swing"
cl_bobfallspeed 200 "necessary amount of speed for bob-falling to occur"
cl_bobmodel 1 // whether to have gun model move around on screen when moving (only works if cl_bob is not 0), default is 1
cl_bobmodel_side 0.2 // amount the gun sways to the sides
cl_bobmodel_speed 5 // rate at which the gun sways
cl_bobmodel_up 0.1 // amount the gun sways up and down
cl_leanmodel 1 // enables weapon leaning effect when looking around
cl_leanmodel_side_speed 0.7 "gun leaning sideways speed"
cl_leanmodel_side_limit 35 "gun leaning sideways limit"
cl_leanmodel_side_highpass1 30 "gun leaning sideways pre-highpass in 1/s"
cl_leanmodel_side_highpass 3 "gun leaning sideways highpass in 1/s"
cl_leanmodel_side_lowpass 20 "gun leaning sideways lowpass in 1/s"
cl_leanmodel_up_speed 0.65 "gun leaning upward speed"
cl_leanmodel_up_limit 50 "gun leaning upward limit"
cl_leanmodel_up_highpass1 5 "gun leaning upward pre-highpass in 1/s"
cl_leanmodel_up_highpass 15 "gun leaning upward highpass in 1/s"
cl_leanmodel_up_lowpass 20 "gun leaning upward lowpass in 1/s"
cl_followmodel 1 // enables weapon pushing / pulling effect when walking
cl_followmodel_side_speed 0.25 "gun following sideways speed"
cl_followmodel_side_limit 6 "gun following sideways limit"
cl_followmodel_side_highpass1 30 "gun following sideways pre-highpass in 1/s"
cl_followmodel_side_highpass 5 "gun following sideways highpass in 1/s"
cl_followmodel_side_lowpass 10 "gun following sideways lowpass in 1/s"
cl_followmodel_up_speed 0.5 "gun following upward speed"
cl_followmodel_up_limit 5 "gun following upward limit"
cl_followmodel_up_highpass1 60 "gun following upward pre-highpass in 1/s"
cl_followmodel_up_highpass 2 "gun following upward highpass in 1/s"
cl_followmodel_up_lowpass 10 "gun following upward lowpass in 1/s"

cl_rollangle 0 // amount of view tilt when strafing, default is 2.0
v_kicktime 0 // how long damage kicks of the view last, default is 0 seconds
gl_polyblend 0 // whether to use screen tints, this has now been replaced by a better system in CSQC
r_motionblur 0 // motion blur value, default is 0
r_damageblur 0 // motion blur when damaged, default is 0 (removed in Xonotic)

r_bloom_blur 4
r_bloom_brighten 2
r_bloom_colorexponent 1
r_bloom_colorscale 1
r_bloom_colorsubtract 0.125
r_bloom_resolution 320
r_bloom_scenebrightness 0.85

seta vid_x11_display ""	"xonotic-linux-*.sh will use this to start xonotic on an other/new X display"
// This can have three possible settings:
//	""		run as usual
//	":n"		use DISPLAY=:n, create it if needed
//	":n/layout"	use DISPLAY=:n, create it if needed with ServerLayout layout

cl_autodemo_nameformat demos/%Y-%m-%d_%H-%M

// taunts and voices
seta cl_autotaunt 0 "automatically taunt enemies when fragging them"
seta sv_taunt 1 "allow taunts on the server"
seta sv_autotaunt 1 "allow autotaunts on the server"
seta cl_voice_directional 1	"0 = all voices are non-directional, 1 = all voices are directional, 2 = only taunts are directional"
seta cl_voice_directional_taunt_attenuation 0.5 "this defines the distance from which taunts can be heard"

// server settings
hostname "Xonotic $g_xonoticversion Server"
set sv_mapchange_delay 5
set minplayers 0 "number of players playing at the same time (if not enough real players are there the remaining slots are filled with bots)"

// restart server if all players hit "ready"-button
set sv_ready_restart 0 "if set to 1 allow a map to be restarted once all players pressed the \"ready\" button'"
set sv_ready_restart_after_countdown 0	"if set to 1 the players and map items are reset after the countdown ended, otherwise they're reset already at the beginning of the countdown"
set sv_ready_restart_repeatable 0	"allows the players to restart the game as often as needed"

seta cl_hitsound 1 "play a hit notifier sound when you have hit an enemy, 1: same pitch 2: increase pitch with more damage 3: decrease pitch with more damage"
set cl_hitsound_antispam_time 0.05 "don't play the hitsound more often than this"
seta cl_hitsound_min_pitch 0.75 "minimum pitch of hit sound"
seta cl_hitsound_max_pitch 1.5 "maximum pitch of hit sound"
seta cl_hitsound_nom_damage 25 "damage amount at which hitsound bases pitch off"

seta cl_eventchase_death 1 "camera goes into 3rd person mode when the player is dead; set to 2 to active the effect only when the corpse doesn't move anymore"
seta cl_eventchase_nexball 1 "camera goes into 3rd person mode when in nexball game-mode"
seta cl_eventchase_distance 140 "final camera distance"
seta cl_eventchase_speed 1.3 "how fast the camera slides back, 0 is instant"
seta cl_eventchase_maxs "12 12 8" "max size of eventchase camera bbox"
seta cl_eventchase_mins "-12 -12 -8" "min size of eventchase camera bbox"
seta cl_eventchase_viewoffset "0 0 20" "viewoffset of eventchase camera"

//nifreks lockonrestart feature, used in team-based game modes, if set to 1 and all players readied up no other player can then join the game anymore, useful to block spectators from joining
set teamplay_lockonrestart 0 "it set to 1 in a team-based game, the teams are locked once all players readied up and the game restarted (no new players can join after restart unless using the server-command unlockteams)"

set g_maxplayers 0	"maximum number of players allowed to play at the same time, set to 0 to allow all players to join the game"
set g_maxplayers_spectator_blocktime 5	"if the players voted for the \"nospectators\" command, this setting defines the number of seconds a observer/spectator has time to join the game before he gets kicked"

// tournament mod
set g_warmup 0	"split the game into a warmup- and match-stage when set to 1"
set g_warmup_limit 0	"if set to -1 the warmup-stage is not affected by any timelimit, if set to 0 the usual timelimit also affects warmup-stage, otherwise warmup will be limited to this time in SECONDS (useful for public matches)"
set g_warmup_allow_timeout 0	"if set to 1 timeouts can also be called in the warmup-stage, when sv_timeout is set to 1"
set g_warmup_allguns 1	"provide more weapons on start while in warmup: 0 = normal start weapons, 1 = all guns available on the map, 2 = all normal weapons"
set g_warmup_majority_factor 0.8 "minimum percentage of players ready needed for warmup to end"

set g_chat_nospectators 0	"if 0 spec/observer chat is always visible to the player, if 1 it is never visible to players, if 2 it is only visible to players during warmup stage"
set sv_vote_nospectators 0	"Only players can call a vote (thus spectators and observers can't call a vote): 0 = all people can vote, 1 = spectators can vote in warmup stage, 2 = only players can vote (no exceptions)."

alias g_tourney "g_tourney_$1"
alias g_tourney_1 "g_warmup 1; g_chat_nospectators 2; sv_vote_nospectators 1"
alias g_tourney_0 "g_warmup 0; g_chat_nospectators 0; sv_vote_nospectators 0"

set sv_timeout 0	"allows a player to call a timeout, this will pause the game for some time"
set sv_timeout_length 120	"how long the game will be paused at max, in seconds"
set sv_timeout_number 2	"how many timeouts one player is allowed to call (gets reset after a restart)"
set sv_timeout_leadtime 4	"how long the players will be informed that a timeout was called before it starts, in seconds"
set sv_timeout_resumetime 3	"how long the remaining timeout-time will be after a player called the timein command"

set g_allow_oldvortexbeam 0 "If enabled, clients are allowed to use old v2.3 Vortex beam"
seta cl_particles_oldvortexbeam 0 "Uses the old v2.3 Vortex beam instead of the new beam, only works if server allows it (g_allow_oldvortexbeam 1)"

set g_telefrags 1 "telefragging, i.e. killing someone who stands in the way of someone who is teleporting"
set g_telefrags_teamplay 1 "never telefrag team mates"
set g_telefrags_avoid 1 "when teleporters have a random destination, avoid teleporting to locations where a telefrag would happen"
set g_teleport_maxspeed 0 "maximum speed that a player can keep when going through a teleporter (if a misc_teleporter_dest also has a cap the smallest one of these will be used), 0 = don't limit, -1 = keep no speed"

seta cl_damageeffect 1 "enable weapon damage effects. 1 enables the feature on skeletal models, 2 on any model"
seta cl_damageeffect_ticrate 0.1 "particle spawn rate"
seta cl_damageeffect_bones 5 "how many damages to allow on a rigged mesh at once (non-skeletal objects are limited to one)"
seta cl_damageeffect_distribute 1 "divide particle intensity if multiple damages are present"
seta cl_damageeffect_lifetime 0.1 "how much a damage effect lasts, based on damage amount"
seta cl_damageeffect_lifetime_min 3 "minimum lifetime a damage effect may have"
seta cl_damageeffect_lifetime_max 6 "maximum lifetime a damage effect may have"

set g_respawn_ghosts 1 "if 1 dead bodies become ghosts and float away when the player respawns"
set g_respawn_ghosts_speed 5 "the speed with which respawn ghosts float and rotate"
set g_respawn_ghosts_maxtime 6 "maximum amount of time a respawn ghost can last, minimum time is half this value. 0 disables and ghosts fade when the body would"
set cl_deathglow 0.8 "number of seconds during which dead bodies glow out"

set sv_gibhealth 100 "Minus health a dead body must have in order to get gibbed"

// fragmessage: This allows extra information to be displayed with the frag centerprints.
set sv_fraginfo 1 "Enable extra frag message information, 0 = Never display, 1 = Display only in warmup mode; 2 = Always display"
set sv_fraginfo_ping 1 "Enable ping display information, 0 = Never display, 1 = Always display (If the player is a bot, it will say bot instead of the ping.)"
set sv_fraginfo_handicap 1 "Enable handicap display information, 0 = Never display, 1 = Only when the player has handicap on, 2 = Always display (Displays Off if disabled)"
set sv_fraginfo_stats 1 "Enable statistics (health/armor) display information, 0 = Never display, 1 = Always display (Only available for the person who was killed)"

// use default physics
set sv_friction_on_land 0

set sv_player_viewoffset "0 0 35" "view offset of the player model"
set sv_player_mins "-16 -16 -24" "playermodel mins"
set sv_player_maxs "16 16 45" "playermodel maxs"
set sv_player_crouch_viewoffset "0 0 20" "view offset of the player model when crouched"
set sv_player_crouch_mins "-16 -16 -24" "mins of a crouched playermodel"
set sv_player_crouch_maxs "16 16 25" "maxs of a crouched playermodel"

set sv_doublejump 0 "allow Quake 2-style double jumps"
set sv_jumpspeedcap_min "" "lower bound on the baseline velocity of a jump; final velocity will be >= (jumpheight * min + jumpheight)"
set sv_jumpspeedcap_max "" "upper bound on the baseline velocity of a jump; final velocity will be <= (jumpheight * max + jumpheight)"
set sv_jumpspeedcap_max_disable_on_ramps 0 "disable upper baseline velocity bound on ramps to preserve the old rampjump style"

seta sv_precacheplayermodels 1
seta sv_precacheweapons 0
seta sv_precacheitems 0
set sv_spectator_speed_multiplier 1.5
seta sv_spectate 1 "if set to 1, new clients are allowed to spectate or observe the game, if set to 0 joining clients spawn as players immediately (no spectating)"
seta sv_defaultcharacter 0 "master switch, if set to 1 the further configuration for replacing all player models, skins and colors is taken from the sv_defaultplayermodel, sv_defaultplayerskin and sv_defaultplayercolors variables"
seta sv_defaultplayermodel "models/player/erebus.iqm" "default model selection, only works if sv_defaultcharacter is set to 1; you may append a :<skinnumber> suffix to model names; you can specify multiple, separated by space, and a random one will be chosen"
seta sv_defaultplayerskin 0 "each model has 1 or more skins (combination of model and skin = character), set which skin of the model you wish the default character to have, only works if sv_defaultcharacter is set to 1; can be overriden by :<skinnumber> suffix in sv_defaultplayermodel"
seta sv_defaultplayermodel_red ""	"\"\" means see sv_defaultplayermodel"
seta sv_defaultplayerskin_red 0
seta sv_defaultplayermodel_blue "" "\"\" means see sv_defaultplayermodel"
seta sv_defaultplayerskin_blue 0
seta sv_defaultplayermodel_yellow "" "\"\" means see sv_defaultplayermodel"
seta sv_defaultplayerskin_yellow 0
seta sv_defaultplayermodel_pink "" "\"\" means see sv_defaultplayermodel"
seta sv_defaultplayerskin_pink 0
seta sv_defaultplayercolors ""	"set to 16*shirt+pants to force a color, note: it does NOT depend on defaultcharacter! Set to \"\" to disable"
set sv_autoscreenshot 0 "if set to 1, the server forces all clients to create a local screenshot once the map ended"
net_messagetimeout 30
net_connecttimeout 30
sv_jumpstep 1 // step up stairs while jumping, makes it easier to reach ledges
set ekg 0	"Throw huge amounts of gibs"

seta sv_shownames_cull_distance 2500 "distance after which to not send origin/health/armor of another player"

cl_movement 1
cl_movement_track_canjump 0
cl_stairsmoothspeed 200

set bot_config_file bots.txt "Name and path of the bot configuration file"
set bot_number 0	"Minimum number of bots"
seta bot_usemodelnames 0	"Use player model names for bot names"
set bot_nofire 0	"When set, bots never fire. Mainly for testing in g_waypointeditor mode"
seta bot_prefix [BOT]	"Prefix in front of the bot names"
seta bot_suffix ""	"Suffix behind the bot names"
seta skill_auto 0	"when 1, \"skill\" gets adjusted to match the best player on the map"
set bot_debug_tracewalk 0 "Enable visual indicators for short-term navigation. Green: Goal Reached / Yellow: Obstacle found / Red: Unsolvable obstacle found"
set bot_debug_goalstack 0 "Visualize the current path that each bot is following. Use with as few bots as possible."
set bot_wander_enable 1 "Have bots wander around if they are unable to reach any useful goal. Disable only for debugging purposes."
// general bot AI cvars
set bot_ai_thinkinterval 0.05
set bot_ai_strategyinterval 5 "How often a new objective is chosen"
set bot_ai_enemydetectioninterval 2 "How often bots pick a new target"
set bot_ai_enemydetectionradius 10000 "How far bots can see enemies"
set bot_ai_dodgeupdateinterval 0.2 "How often scan for items to dodge. Currently not in use."
set bot_ai_chooseweaponinterval 0.5 "How often the best weapon according to the situation will be chosen"
set bot_ai_dangerdetectioninterval 0.25 "How often scan for waypoints with dangers near"
set bot_ai_dangerdetectionupdates 64 "How many waypoints will be considered for danger detection"
set bot_ai_aimskill_blendrate 2	"How much correction will be applied to the aiming angle"
set bot_ai_aimskill_fixedrate 15
set bot_ai_aimskill_firetolerance_distdegrees 100
set bot_ai_aimskill_firetolerance_mindegrees 2 "Minimum angle tolerance. Used on large distances"
set bot_ai_aimskill_firetolerance_maxdegrees 60 "Maximum firing angle. Used on close range"
set bot_ai_aimskill_mouse 1 "How much of the aiming filters are applied"
set bot_ai_keyboard_distance 250 "Keyboard emulation is disabled after this distance to the goal"
set bot_ai_keyboard_threshold 0.57
set bot_ai_aimskill_offset 0.3 "Amount of error induced to the bots aim"
set bot_ai_aimskill_think 1 "Aiming velocity. Use values below 1 for slower aiming"
set bot_ai_custom_weapon_priority_distances "300 850"	"Define close and far distances in any order. Based on the distance to the enemy bots will choose different weapons"
set bot_ai_custom_weapon_priority_far   "vaporizer vortex rifle electro devastator mortar hagar hlac crylink blaster machinegun fireball seeker shotgun tuba minelayer"	"Desired weapons for far distances ordered by priority"
set bot_ai_custom_weapon_priority_mid   "vaporizer devastator vortex fireball seeker mortar electro machinegun crylink hlac hagar shotgun blaster rifle tuba minelayer arc shockwave"	"Desired weapons for middle distances ordered by priority"
set bot_ai_custom_weapon_priority_close "vaporizer shotgun vortex machinegun hlac tuba seeker hagar crylink mortar electro devastator blaster fireball rifle minelayer arc shockwave"	"Desired weapons for close distances ordered by priority"
set bot_ai_weapon_combo 1	"Enable bots to do weapon combos"
set bot_ai_weapon_combo_threshold 0.4	"Try to make a combo N seconds after the last attack"
set bot_ai_friends_aware_pickup_radius "500"	"Bots will not pickup items if a team mate is this distance near the item"
set bot_ai_ignoregoal_timeout 3	"Ignore goals making bots to get stuck in front of a wall for N seconds"
set bot_ai_bunnyhop_skilloffset 7	"Bots with skill equal or greater than this value will perform the  \"bunnyhop\" technique"
set bot_ai_bunnyhop_startdistance 200 "Run to goals located further than this distance"
set bot_ai_bunnyhop_stopdistance 200 "Stop jumping after reaching this distance to the goal"
set bot_ai_bunnyhop_firstjumpdelay 0.2 "Start running to the goal only if it was seen for more than N seconds"
set bot_god 0 "god mode for bots"
set bot_ai_navigation_jetpack 0 "Enable bots to navigate maps using the jetpack"
set bot_ai_navigation_jetpack_mindistance 3500 "Bots will try fly to objects located farther than this distance"
// Better don't touch these, there are hard to tweak!
set bot_ai_aimskill_order_mix_1st 0.01 "Amount of the 1st filter output to apply to the aiming angle"
set bot_ai_aimskill_order_mix_2nd 0.1 "Amount of the 1st filter output to apply to the aiming angle"
set bot_ai_aimskill_order_mix_3th 0.01 "Amount of the 1st filter output to apply to the aiming angle"
set bot_ai_aimskill_order_mix_4th 0.05 "Amount of the 1st filter output to apply to the aiming angle"
set bot_ai_aimskill_order_mix_5th 0.01 "Amount of the 1st filter output to apply to the aiming angle"
set bot_ai_aimskill_order_filter_1st 0.4 "Position filter"
set bot_ai_aimskill_order_filter_2nd 0.4 "Movement filter"
set bot_ai_aimskill_order_filter_3th 0.2 "Acceleration filter"
set bot_ai_aimskill_order_filter_4th 0.4 "Position prediction filter. Used rarely"
set bot_ai_aimskill_order_filter_5th 0.5 "Movement prediction filter. Used rarely"

// waypoint editor enable
set g_waypointeditor 0
set g_waypointeditor_auto 0 "Automatically create waypoints for bots while playing; BEWARE, this currently creates too many of them"
set bot_ignore_bots 0	"When set, bots don't shoot at other bots"
set bot_join_empty 0	"When set, bots also play if no player has joined the server"
set bot_vs_human 0	"Bots and humans play in different teams when set. positive values to make an all-bot blue team, set to negative values to make an all-bot red team, the absolute value is the ratio bots vs humans (1 for equal count). Changes will be correctly applied only from the next game"

alias g_waypointeditor_spawn "impulse 103"
alias g_waypointeditor_remove "impulse 104"
alias g_waypointeditor_relinkall "impulse 105"
alias g_waypointeditor_saveall "impulse 106"
alias g_waypointeditor_unreachable "impulse 107"

locs_enable 0
pausable 0
set g_spawnshieldtime 1 "number of seconds you are invincible after you spawned, this shield is lost after you fire"
set g_antilag 2	"AntiLag (0 = no AntiLag, 1 = verified client side hit scan, 2 = server side hit scan in the past, 3 = unverified client side hit scan)"
set g_antilag_nudge 0 "don't touch"
set g_shootfromclient 2 "let client decide if it has the gun left or right; if set to 2, center handedness is allowed; see also cl_gunalign"
set g_shootfromeye 0 "shots are fired from your eye/crosshair; visual gun position can still be influenced by cl_gunalign 1 and 2"
set g_shootfromcenter 0 "weapon gets moved to the center, shots still come from the barrel of your weapon; visual gun position can still be influenced by cl_gunalign 1 and 2"
set g_shootfromfixedorigin "" "if set to a string like 0 y z, the gun is moved to the given y and z coordinates. If set to a string like x y z, the whole shot origin is used"
set g_pinata 0 "if set to 1 you will not only drop your current weapon when you are killed, but you will drop all weapons that you possessed"
set g_weapon_stay 0 "1: ghost weapons can be picked up too but give no ammo, 2: ghost weapons refill ammo to one pickup size, thrown guns have no ammo"
set g_weapon_throwable 1 "if set to 1, weapons can be dropped"
set g_powerups -1 "if set to 0 the strength and shield (invincibility) will not spawn on the map, if 1 they will spawn in all game modes, -1 is game mode default"
set g_use_ammunition 1 "if set to 0 all weapons have unlimited ammunition"
set g_pickup_items -1 "if set to 0 all items (health, armor, ammo, weapons...) are removed from the map, if 1 they are forced to spawn"
set g_weaponarena "0"	"put in a list of weapons to enable a weapon arena mode, or try \"all\" or \"most\""
set g_weaponarena_random "0"	"if set to a number, only that weapon count is given on every spawn (randomly)"
set g_weaponarena_random_with_blaster "1"	"additionally, always provide the blaster in random weapon arena games"
set g_spawnpoints_auto_move_out_of_solid 0 "if set to 1 you will see a warning if a spawn point was placed inside a solid"
set g_forced_respawn 0 "if set to 1 and a player died, that player gets automatically respawned once <g_respawn_delay> seconds are over"
set g_fullbrightplayers 0 "brightens up player models (note that the color, skin or model of the players does not change!)"
set g_fullbrightitems 0 "brightens up items"
set g_nodepthtestplayers 0 "disables depth testing on players"
set g_nodepthtestitems 0 "disables depth testing on items"
set g_casings 2 "specifies which casings (0: none, 1: only shotgun casings, 2: shotgun and machine gun casings) are sent to the client"
set g_norecoil 0 "if set to 1 shooting weapons won't make you crosshair to move upwards (recoil)"
set g_maplist_mostrecent "" "contains the name of the maps that were most recently played"
seta g_maplist_mostrecent_count 3	"number of most recent maps that are blocked from being played again"
seta g_maplist "" "the list of maps to be cycled among (is autogenerated if empty)"
seta g_maplist_index 0	"this is used internally for saving position in maplist cycle"
seta g_maplist_selectrandom 0	"if 1, a random map will be chosen as next map - DEPRECATED in favor of g_maplist_shuffle"
seta g_maplist_shuffle 1	"new randomization method: like selectrandom, but avoid playing the same maps in short succession. This works by taking out the first element and inserting it into g_maplist with a bias to the end of the list"
set g_maplist_check_waypoints 0	"when 1, maps are skipped if there currently are bots, but the map has no waypoints"
set samelevel 0 "when 1, always play the same level over and over again"

set g_grab_range 200 "distance at which dragable objects can be grabbed"

set g_cloaked 0 "display all players mostly invisible"
set g_player_alpha 1
set g_player_brightness 0	"set to 2 for brighter players"
seta g_balance_cloaked_alpha 0.25

seta menu_sandbox_spawn_model ""
seta menu_sandbox_attach_bone ""
seta menu_sandbox_edit_skin 0
seta menu_sandbox_edit_alpha 1
seta menu_sandbox_edit_color_main "1 1 1"
seta menu_sandbox_edit_color_glow "1 1 1"
seta menu_sandbox_edit_frame 0
seta menu_sandbox_edit_scale 1
seta menu_sandbox_edit_solidity 1
seta menu_sandbox_edit_physics 1
seta menu_sandbox_edit_force 1
seta menu_sandbox_edit_material ""

seta menu_monsters_edit_spawn ""
seta menu_monsters_edit_skin 0
seta menu_monsters_edit_movetarget 1

set g_playerclip_collisions 1 "0 = disable collision testing against playerclips, might be useful on some defrag maps"
set g_botclip_collisions 1 "0 = disable collision testing against botclips, might be useful on some defrag maps"

set g_grappling_hook 0 "let players spawn with the grappling hook which allows them to pull themselves up"

set g_spawn_alloweffects 1 "allow clients to enable spawn point and event effects such as particles and sounds, see cl_spawn_ cvars for more info"
set g_spawn_furthest 0.5 "this amount of the spawns shall be far away from any players"
set g_spawn_useallspawns 0 "use all spawns, e.g. also team spawns in non-teamplay, and all spawns, even enemy spawns, in teamplay"
// respawn delay
set g_respawn_delay_small 2 "small game number of seconds you have to wait before you can respawn again"
set g_respawn_delay_small_count 0 "Player count per team for g_respawn_delay_small. <=0 values mean the minimum amount of players to have gameplay (typically 2 in FFA, 1 in teamplay)."
set g_respawn_delay_large 2 "large game number of seconds you have to wait before you can respawn again"
set g_respawn_delay_large_count 8 "Player count per team for g_respawn_delay_large. <=0 values mean the minimum amount of players to have gameplay (typically 2 in FFA, 1 in teamplay)."
set g_respawn_delay_max 0 "number of seconds you can wait before you're forced to respawn (only effective with g_forced_respawn 1)"
set g_respawn_waves 0 "respawn in waves (every n seconds), intended to decrease overwhelming base attacks"

// overtime
seta timelimit_overtime 2 "duration in minutes of one added overtime, added to the timelimit"
seta timelimit_overtimes 0 "how many overtimes to add at max"
seta timelimit_suddendeath 5 "number of minutes suddendeath mode lasts after all overtimes were added and still no winner was found"

// common team values
set g_tdm 0 "Team Deathmatch: the team who kills their opponents most often wins"
set g_tdm_on_dm_maps 0 "when this is set, all DM maps automatically support TDM"

seta teamplay_mode 4 "default teamplay setting in team games. 1 = no friendly fire, self damage. 2 = friendly fire and self damage enabled. 3 = no friendly fire, but self damage enabled. 4 = obey the cvars g_mirrordamage*, g_friendlyfire* and g_teamdamage_threshold*"
seta g_mirrordamage 0.700000	"for teamplay 4: mirror damage factor"
seta g_mirrordamage_virtual 1	"for teamplay 4: do not actually apply mirror damage, just show graphics effect for it"
seta g_friendlyfire 0.500000	"for teamplay 4: fiendly fire factor"
seta g_friendlyfire_virtual 1	"for teamplay 4: do not actually apply friendly fire, just show graphics effect for it"
seta g_friendlyfire_virtual_force 1	"for teamplay 4: apply force even though damage was made virtual only"
seta g_teamdamage_threshold 40	"for teamplay 4: threshold over which to apply mirror damage"
seta g_teamdamage_resetspeed 20	"for teamplay 4: how fast player's teamdamage count decreases"

seta g_balance_teams 1	"automatically balance out players entering instead of asking them for their preferred team"
seta g_balance_teams_prevent_imbalance	1	"prevent players from changing to larger teams"
set g_balance_teams_scorefactor 0.25 "at the end of the game, take score into account instead of team size by this amount (beware: values over 0.5 mean that a x:0 score imbalance will cause ALL new players to prefer the losing team at the end, despite numbers)"
set g_changeteam_banned 0	"not allowed to change team"
set g_changeteam_fragtransfer 0	"% of frags you get to keep when you change teams (rounded down)"

set sv_teamnagger 1 "enable a nag message when the teams are unbalanced"

set g_bloodloss 0   "amount of health below which blood loss occurs"

set g_footsteps 1	"serverside footstep sounds"

set g_multijump 0	"Number of multiple jumps to allow (jumping again in the air), -1 allows for infinite jumps"
set g_multijump_add 0	"0 = make the current z velocity equal to jumpvelocity, 1 = add jumpvelocity to the current z velocity"
set g_multijump_speed -999999	"Minimum vertical speed a player must have in order to jump again"

set g_throughfloor_debug 0 "enable debugging messages for throughfloor calculations"
set g_throughfloor_damage_max_stddev 2 "Maximum standard deviation for splash damage"
set g_throughfloor_force_max_stddev 10 "Maximum standard deviation for splash force"
set g_throughfloor_min_steps_player 1 "Minimum number of steps for splash damage"
set g_throughfloor_min_steps_other 1 "Minimum number of steps for splash damage"
set g_throughfloor_max_steps_player 100 "Maximum number of steps for splash damage"
set g_throughfloor_max_steps_other 10 "Maximum number of steps for splash damage"
// note: for damage X, 0.25 * ((1-g_throughfloor_damage)*X / g_throughfloor_damage_max_stddev)^2 steps are used
// for these numbers:
//   damage  25: 3
//   damage  60: 15
//   damage  80: 25
//   damage 200: 157
//   force  250: 10
//   force  300: 15
//   force  600: 57

// effects
r_glsl_vertextextureblend_usebothalphas 1 // allows to abuse texture blending as detail texture
mod_q3shader_force_terrain_alphaflag 1 // supposedly now required for r_glsl_vertextextureblend_usebothalphas to work
r_glsl_postprocess 0 // but note, hud_postprocessing enables this
r_picmipsprites 0 // Xonotic uses sprites that should never be picmipped (team mate, typing, waypoints)
r_picmipworld 1
gl_picmip_world 0
gl_picmip_sprites 0
gl_picmip_other 1 // so, picmip -1 is best possible quality
r_mipsprites 1
r_mipskins 1
r_shadow_realtime_world_lightmaps 1
cl_decals_fadetime 5
cl_decals_time 1
seta cl_gunalign 3 "Gun alignment; 1 = center (if allowed by g_shootfromclient) or right, 2 = center (if allowed by g_shootfromclient) or left, 3 = right only, 4 = left only"
seta cl_nogibs 0 "reduce number of violence effects, or remove them totally"
seta cl_particlegibs 0 "simpler gibs"
seta cl_gibs_damageforcescale 3.5 "force to push around gibs"
seta cl_gibs_lifetime 2.5 "average lifetime of gibs"
seta cl_gibs_velocity_scale 1 "gib throw velocity force scale"
seta cl_gibs_velocity_random 1 "gib throw velocity randomness scale"
seta cl_gibs_velocity_up 1 "extra z velocity for gibs"
seta cl_gibs_ticrate 0.1 "ticrate for gibs"
seta cl_gibs_sloppy 1 "sloppy gibs, may temporarily penetrate walls"
seta cl_gibs_avelocity_scale 1 "how much angular velocity to use on gibs"
seta cl_casings 1 "enable or disable bullet casings"
seta cl_casings_shell_time 30 "shell casing lifetime"
seta cl_casings_bronze_time 10 "bullet casings lifetime"
seta cl_casings_ticrate 0.1 "ticrate for casings"
seta cl_casings_sloppy 1 "sloppy casings, may temporarily penetrate walls"
seta cl_projectiles_sloppy 1 "sloppy projectiles, may temporarily penetrate walls"
cl_stainmaps 0
cl_particles_smoke 1
vid_gl20 1
r_glsl_deluxemapping 1
r_glsl_offsetmapping 0
r_glsl_offsetmapping_lod 1
r_glsl_offsetmapping_reliefmapping 0
r_glsl_offsetmapping_scale 0.02
// execute effects-normal.cfg to make sure that all effect settings are reset
alias menu_sync "" // will be re-aliased later

// misc
fs_empty_files_in_pack_mark_deletions 1 // makes patches able to delete files
scr_conalpha 1
scr_conbrightness 0.2
scr_screenshot_jpeg 1
scr_screenshot_jpeg_quality 0.9
sv_maxvelocity 1000000000
cl_sound_wizardhit ""
cl_sound_hknighthit ""
cl_sound_tink1 weapons/tink1.wav
cl_sound_ric1 weapons/ric1.wav
cl_sound_ric2 weapons/ric2.wav
cl_sound_ric3 weapons/ric3.wav
cl_sound_r_exp3 ""
sv_sound_land ""
sv_sound_watersplash ""

seta cl_announcer default "name of the announcer you wish to use from data/sound/announcer"
seta cl_announcer_antispam 2 "number of seconds before an announcement of the same sound can be played again"
seta cl_announcer_maptime 3 "play announcer sound telling you the remaining maptime - 0: do not play at all, 1: play at one minute, 2: play at five minutes, 3: play both"

// startmap_dm is used when running with the -listen or -dedicated commandline options
set serverconfig server.cfg
alias loadconfig "cvar_resettodefaults_saveonly; exec ${* !}"
set _sv_init 0
alias startmap_dm "set _sv_init 0; map _init/_init; exec $serverconfig; set _sv_init 1"

// aliases:
alias +fire +attack
alias -fire -attack
alias +fire2 +button3
alias -fire2 -button3
alias +attack2 +button3 // old alias from Nexuiz
alias -attack2 -button3 // old alias name from Nexuiz
alias +crouch +button5
alias -crouch -button5
alias weapnext "_weapnext_${cl_weaponpriority_useforcycling}"
alias _weapnext_0 "impulse 18"
alias _weapnext_1 "impulse 15"
alias _weapnext_2 "impulse 10"
alias weaplast "impulse 11"
alias weapprev "_weapprev_${cl_weaponpriority_useforcycling}"
alias _weapprev_0 "impulse 19"
alias _weapprev_1 "impulse 16"
alias _weapprev_2 "impulse 12"
alias weapbest "impulse 13"

// experimental zoom toggle (can be in wrong state at start of a game, though)
set _togglezoom +
alias +zoom "set _togglezoom -; +button4"
alias -zoom "set _togglezoom +; -button4"
alias togglezoom "${_togglezoom}zoom"

alias reload "impulse 20"

// weapons
alias weapon_group_1 "impulse 1"
alias weapon_group_2 "impulse 2"
alias weapon_group_3 "impulse 3"
alias weapon_group_4 "impulse 4"
alias weapon_group_5 "impulse 5"
alias weapon_group_6 "impulse 6"
alias weapon_group_7 "impulse 7"
alias weapon_group_8 "impulse 8"
alias weapon_group_9 "impulse 9"
alias weapon_group_0 "impulse 14" // cycles the superweapons
exec weapons.cfg

// score log
set sv_logscores_console 0	"print scores to server console"
set sv_logscores_file 0	"print scores to file"
set sv_logscores_filename scores.log	"filename"
set sv_logscores_bots 0	"exclude bots by default"

// spam (frag/capture) log
set sv_eventlog 0	"the master switch for efficiency reasons"
set sv_eventlog_console 1
set sv_eventlog_files 0
set sv_eventlog_files_timestamps 1
seta sv_eventlog_files_counter 0
set sv_eventlog_files_nameprefix xonotic
set sv_eventlog_files_namesuffix .log

set nextmap ""	"override the maplist when switching to the next map"
set lastlevel ""
set quit_when_empty 0	"set to 1, then the server exits when the next level would start but is empty"
set quit_and_redirect ""	"set to an IP to redirect all players at the end of the match to another server. Set to \"self\" to let all players reconnect at the end of the match (use it to make seamless engine updates)"
set quit_and_redirect_timer 1.5 "set to number of seconds after quit before performing the connect operation of quit_and_redirect"

// singleplayer campaign
set g_campaign 0
set g_campaign_forceteam 0 "Forces the player to a given team in campaign mode, 1 = red, 2 = blue, 3 = yellow, 4 = pink"
seta g_campaign_name "xonoticbeta"
seta g_campaign_skill -1 // -2 easy -1 medium 0 hard

alias singleplayer_start "g_campaign_index 0; set scmenu_campaign_goto 0"
alias singleplayer_continue "set scmenu_campaign_goto -1"
alias singleplayer_levellist "set scmenu_campaign_dump 1; togglemenu; wait; togglemenu"

// Green's fullbright skins, updated by Samual
alias sv_fbskin_unique "sv_defaultcharacter 1; sv_defaultplayermodel models/player/megaerebus.iqm; sv_defaultplayerskin 1; sv_defaultplayercolors \"\""
alias sv_fbskin_green "sv_defaultcharacter 1; sv_defaultplayermodel models/player/megaerebus.iqm; sv_defaultplayerskin 1; sv_defaultplayercolors 51"
alias sv_fbskin_red "sv_defaultcharacter 1; sv_defaultplayermodel models/player/megaerebus.iqm; sv_defaultplayerskin 1; sv_defaultplayercolors 68"
alias sv_fbskin_orange "sv_defaultcharacter 1; sv_defaultplayermodel models/player/megaerebus.iqm; sv_defaultplayerskin 1; sv_defaultplayercolors 238"
alias sv_fbskin_rainbow "sv_defaultcharacter 1; sv_defaultplayermodel models/player/megaerebus.iqm; sv_defaultplayerskin 1; sv_defaultplayercolors 95"

alias sv_fbskin_off "sv_defaultcharacter 0; sv_defaultplayerskin 0; sv_defaultplayercolors \"\""

seta sv_servermodelsonly 1

cl_curl_enabled 1
cl_curl_maxspeed 500
cl_curl_useragent 1
cl_curl_useragent_append "$g_xonoticversion"

sv_curl_defaulturl "http://www.xonotic.org/contentdownload/getmap.php?file="
set sv_curl_serverpackages_auto 1 "automatically add packs with *.serverpackage files to sv_curl_serverpackages"

set sv_motd ""

set g_waypoints_for_items 0	"make waypoints out of items, values: 0 = never, 1 = unless the mapper prevents it by worldspawn.spawnflags & 1, 2 = always"

seta g_maplist_votable 6 "number of maps that are shown in the map voting at the end of a match"
seta g_maplist_votable_keeptwotime 15
seta g_maplist_votable_timeout 30	"timeout for the map voting; must be below 50 seconds!"
seta g_maplist_votable_suggestions 2
seta g_maplist_votable_suggestions_override_mostrecent 0
seta g_maplist_votable_nodetail 1	"nodetail only shows total count instead of all vote counts per map, so votes don't influence others that much"
seta g_maplist_votable_abstain 0	"when 1, you can abstain from your vote"
seta g_maplist_votable_screenshot_dir "maps levelshots"	"where to look for map screenshots"

set sv_vote_gametype 0 "show a vote screen for gametypes before map vote screen"
set sv_vote_gametype_keeptwotime 10 "show only 2 options for this amount of time during gametype vote screen"
set sv_vote_gametype_options "dm ctf ca lms tdm ft"
set sv_vote_gametype_timeout 20
set sv_vote_gametype_default_current 1 "Keep the current gametype if no one votes"

set g_chat_flood_spl 3	"normal chat: seconds between lines to not count as flooding"
set g_chat_flood_lmax 2	"normal chat: maximum number of lines per chat message at once"
set g_chat_flood_burst 2	"normal chat: allow bursts of so many chat lines"
set g_chat_flood_spl_team 1	"team chat: seconds between lines to not count as flooding"
set g_chat_flood_lmax_team 2	"team chat: maximum number of lines per chat message at once"
set g_chat_flood_burst_team 2	"team chat: allow bursts of so many chat lines"
set g_chat_flood_spl_tell 1	"private chat: seconds between lines to not count as flooding"
set g_chat_flood_lmax_tell 2	"private chat: maximum number of lines per chat message at once"
set g_chat_flood_burst_tell 2	"private chat: allow bursts of so many chat lines"
set g_chat_flood_notify_flooder 1	"when 0, the flooder still can see his own message"
set g_chat_teamcolors 0	"colorize nicknames in team color for chat"
set g_chat_tellprivacy 1 "when disabled, tell messages are also sent to the server console log... otherwise they're kept private between players."
set g_nick_flood_timeout 120 "time after which nick flood protection resets (set to 0 to disable nick flood checking)"
set g_nick_flood_penalty 0.5 "duration of the nick flood penalty"
set g_nick_flood_penalty_yellow 3 "number of changes to allow before warning and movement blocking"
set g_nick_flood_penalty_red 30 "number of changes to allow before totally disorienting the player"

set sv_waypointsprite_deployed_lifetime 10
set sv_waypointsprite_deadlifetime 1
set sv_waypointsprite_limitedrange 5120

seta g_waypointsprite_uppercase 1
set g_waypointsprite_normdistance 512
set g_waypointsprite_minscale 0.5
set g_waypointsprite_minalpha 0.4
set g_waypointsprite_distancealphaexponent 2
set g_waypointsprite_timealphaexponent 1
set g_waypointsprite_stuffbinds 0
seta g_waypointsprite_scale 1
seta g_waypointsprite_fontsize 12
seta g_waypointsprite_alpha 1 "This allows the client to control transparency of the waypoint"
seta g_waypointsprite_edgefadealpha 0.5 "alpha multiplier near the edge"
seta g_waypointsprite_edgefadescale 1 "scale multiplier near the edge"
seta g_waypointsprite_edgefadedistance 50 "distance in virtual pixels from edge where to start fading"
seta g_waypointsprite_edgeoffset_bottom 0 "offset of how close the waypoint can be to the bottom edge of the screen"
seta g_waypointsprite_edgeoffset_left 0 "offset of how close the waypoint can be to the left edge of the screen"
seta g_waypointsprite_edgeoffset_right 0 "offset of how close the waypoint can be to the right edge of the screen"
seta g_waypointsprite_edgeoffset_top 0 "offset of how close the waypoint can be to the top edge of the screen"
seta g_waypointsprite_crosshairfadealpha 0.25 "alpha multiplier near crosshair"
seta g_waypointsprite_crosshairfadescale 1 "scale multiplier near the crosshair"
seta g_waypointsprite_crosshairfadedistance 150 "distance in virtual pixels from crosshair where to start fading"
seta g_waypointsprite_distancefadealpha 1 "alpha multiplier near distance"
seta g_waypointsprite_distancefadescale 0.7 "scale multiplier near the distance"
seta g_waypointsprite_distancefadedistancemultiplier 0.5 "distance in map sizes from distance where to stop fading"
set g_waypointsprite_spam 0 "Debugging feature. Set to 10 and load courtfun in race mode to test."
alias "g_waypointsprite_personal"	"impulse 30"
alias "g_waypointsprite_personal_p"	"impulse 31"
alias "g_waypointsprite_personal_d"	"impulse 32"
alias "g_waypointsprite_team_helpme"	"impulse 33"
alias "g_waypointsprite_team_here"	"impulse 34"
alias "g_waypointsprite_team_here_p"	"impulse 35"
alias "g_waypointsprite_team_here_d"	"impulse 36"
alias "g_waypointsprite_team_danger"	"impulse 37"
alias "g_waypointsprite_team_danger_p"	"impulse 38"
alias "g_waypointsprite_team_danger_d"	"impulse 39"
alias "g_waypointsprite_clear_personal"	"impulse 47"
alias "g_waypointsprite_clear"	"impulse 48"
alias "g_waypointsprite_toggle"	"toggle cl_hidewaypoints"
// key for that?
seta cl_hidewaypoints 0 "disable static waypoints, only show team waypoints"

seta g_waypointsprite_turrets 1 "disable turret waypoints"
seta g_waypointsprite_turrets_maxdist 5000 "max distace for turret sprites"
seta g_waypointsprite_tactical 1 "tactical overlay on turrets when in a vehicle"

// so it can be stuffcmd-ed still
set cl_gravity 800	"but ignored anyway"

set g_ban_default_bantime 5400	"90 minutes"
set g_ban_default_masksize 3	"masksize 0 means banning by UID only, 1 means banning by /8 (IPv6: /32) network, 2 means banning by /16 (IPv6: /48) network, 3 means banning by /24 (IPv6: /56) network, 4 means banning by single IP (IPv6: /64 network)"
set g_banned_list ""	"format: IP remainingtime IP remainingtime ..."
set g_banned_list_idmode "1"	"when set, the IP banning system always uses the ID over the IP address (so a user in a banned IP range can connect if they have a valid signed ID)"

r_labelsprites_scale 0.40625 // labels sprites get displayed at 0.5x from 640x480 to 1280x1024, and at 1x from 1600x1200 onwards

exec binds-default.cfg

// we must change its default from 1.0 to 1 to be consistent with menuqc
set slowmo 1

seta menu_skin "luminos"
set menu_slowmo 1
seta menu_sounds 0 "enables menu sound effects. 1 enables click sounds, 2 also enables hover sounds"
seta menu_tooltips 1 "menu tooltips: 0 disabled, 1 enabled, 2 also shows cvar or console command (when available) changed or executed by the item"
set menu_picmip_bypass 0 "bypass texture quality enforcement based on system resources, not recommended and may cause crashes!"
set menu_showboxes 0 "show item bounding boxes (debug)"

r_textbrightness 0.2
r_textcontrast 0.8
r_textshadow 0
r_font_postprocess_blur 1
r_font_postprocess_outline 1

// good settings for these fonts
con_chat 5
con_chatpos -9
con_chatsize 10
con_chatwidth 0.6
con_notify 0
con_notifysize 10
con_notifyalign 0

seta sbar_info_pos 0 "Y-axis distance from lower right corner for engine info prints"

// scoreboard
seta scoreboard_columns default
seta scoreboard_border_thickness 1 "scoreboard border thickness"
seta scoreboard_accuracy_border_thickness 1 "accuracy stats border thickness"
seta scoreboard_accuracy_doublerows 0 "use two rows instead of one"
seta scoreboard_accuracy_nocolors 0 "don't use colors displaying accuracy stats"
seta scoreboard_accuracy 1 "show weapon accuracy stats panel on scoreboard; colors can be configured with accuracy_color* cvars"
seta scoreboard_color_bg_r 0.125 "red color component of the scoreboard background"
seta scoreboard_color_bg_g 0.55 "green color component of the scoreboard background"
seta scoreboard_color_bg_b 0.875 "blue color component of the scoreboard background"
seta scoreboard_color_bg_team 0.6 "team color multiplier of the scoreboard background"
seta scoreboard_alpha_bg 0.7 "scoreboard background alpha"
seta scoreboard_alpha_fg 1 "scoreboard foreground alpha"
seta scoreboard_alpha_name 0.9 "alpha of player text in scoreboard list other than self"
seta scoreboard_alpha_name_self 1 "alpha of player text in scoreboard list of self"
seta scoreboard_fadeinspeed 10 "speed at which scoreboard fades in, higher is faster (0 = instant)"
seta scoreboard_fadeoutspeed 5 "speed at which scoreboard fades out, higher is faster (0 = instant)"
seta scoreboard_highlight 1 "enable highlighting for rows and columns in the scoreboard"
seta scoreboard_highlight_alpha 0.08 "highlight alpha value (depends on hud_scoreboard_highlight 1)"
seta scoreboard_highlight_alpha_self 0.3 "self highlight alpha value"
seta scoreboard_offset_left 0.15 "how far (by percent) the scoreboard is offset from the left screen edge"
seta scoreboard_offset_right 0.15 "how far (by percent) the scoreboard is offset from the right screen edge"
seta scoreboard_offset_vertical 0.05 "how far (by percent) the scoreboard is offset from the top and bottom of the screen"
seta scoreboard_bg_scale 0.25 "scale for the tiled scoreboard background"
seta scoreboard_respawntime_decimals 1 "decimal places to show for the respawntime countdown display on the scoreboard"

seta accuracy_color_levels "0 20 100" "accuracy values at which a specified color (accuracy_color<X>) will be used. If your accuracy is between 2 of these values then a mix of the Xth and X+1th colors will be used. You can specify up to 10 values, in increasing order"
seta accuracy_color0 "1 0 0"
seta accuracy_color1 "1 1 0"
seta accuracy_color2 "0 1 0"

// for menu server list (eventually make them have engine support?)
seta menu_slist_showfull 1 "show servers even if they are full and have no slots to join"
seta menu_slist_showempty 1 "show servers even if they are no empty and have no opponents to play against"
seta menu_slist_modfilter "" // set to either: !modname or modname. modname of = means "same as we are running now".

// other serverlist cvars
seta menu_slist_categories 1
seta menu_slist_categories_onlyifmultiple 1
seta menu_slist_purethreshold 0
seta menu_slist_modimpurity 0
seta menu_slist_recommendations 3
seta menu_slist_recommendations_maxping 150
seta menu_slist_recommendations_minfreeslots 1
seta menu_slist_recommendations_minhumans 0
seta menu_slist_recommendations_purethreshold -1

// serverlist category override cvars
seta menu_slist_categories_CAT_FAVORITED_override ""
seta menu_slist_categories_CAT_RECOMMENDED_override ""
seta menu_slist_categories_CAT_NORMAL_override ""
seta menu_slist_categories_CAT_SERVERS_override "CAT_NORMAL"
seta menu_slist_categories_CAT_XPM_override "CAT_NORMAL"
seta menu_slist_categories_CAT_MODIFIED_override ""
seta menu_slist_categories_CAT_OVERKILL_override ""
seta menu_slist_categories_CAT_INSTAGIB_override ""
seta menu_slist_categories_CAT_DEFRAG_override ""

seta menu_weaponarena ""

seta menu_maxplayers 16 "maxplayers value when the menu starts a game"

// useful vote aliases
set timelimit_increment 5
set timelimit_decrement 5
set timelimit_min 5
set timelimit_max 60

// useful keybind to maximize the chat area temporarily
// HUD code takes care of many of these now...
//set _backup_con_chatvars_set 0
//alias _restore_con_chatvars_0 ""
//alias _restore_con_chatvars_1 "set _backup_con_chatvars_set 0; con_chatpos $_backup_con_chatpos; con_chat $_backup_con_chat; con_notify $_backup_con_notify; con_chattime $_backup_con_chattime; cl_deathscoreboard $_backup_cl_deathscoreboard; scr_centertime $_backup_scr_centertime;r_track_sprites $_backup_r_track_sprites"
//alias _restore_con_chatvars "_restore_con_chatvars_$_backup_con_chatvars_set"
//alias _backup_con_chatvars_0 "set _backup_con_chatvars_set 1; set _backup_con_chatpos $con_chatpos; set _backup_con_chat $con_chat; set _backup_con_notify $con_notify; set _backup_con_chattime $con_chattime; set _backup_cl_deathscoreboard $cl_deathscoreboard; set _backup_scr_centertime $scr_centertime;set _backup_r_track_sprites $r_track_sprites"
//alias _backup_con_chatvars_1 ""
//alias _backup_con_chatvars "_backup_con_chatvars_$_backup_con_chatvars_set"
//alias +con_chat_maximize "_backup_con_chatvars; con_chatpos -9; con_chat 100; con_notify 0; con_chattime 3600; cl_deathscoreboard 0; scr_centertime 0; r_track_sprites 0"
//alias -con_chat_maximize "_restore_con_chatvars"

set _con_chat_maximized 0
set _backup_con_chatvars_set 0
alias _restore_con_chatvars_0 ""
alias _restore_con_chatvars_1 "set _backup_con_chatvars_set 0; con_notify $_backup_con_notify; con_chattime $_backup_con_chattime; cl_deathscoreboard $_backup_cl_deathscoreboard; scr_centertime $_backup_scr_centertime;r_track_sprites $_backup_r_track_sprites"
alias _restore_con_chatvars "_restore_con_chatvars_$_backup_con_chatvars_set"
alias _backup_con_chatvars_0 "set _backup_con_chatvars_set 1; set _backup_con_notify $con_notify; set _backup_con_chattime $con_chattime; set _backup_cl_deathscoreboard $cl_deathscoreboard; set _backup_scr_centertime $scr_centertime;set _backup_r_track_sprites $r_track_sprites"
alias _backup_con_chatvars_1 ""
alias _backup_con_chatvars "_backup_con_chatvars_$_backup_con_chatvars_set"
alias +con_chat_maximize "_con_chat_maximized 1; _backup_con_chatvars; con_notify 0; con_chattime 3600; cl_deathscoreboard 0; scr_centertime 0; r_track_sprites 0"
alias -con_chat_maximize "_con_chat_maximized 0; _restore_con_chatvars"

// tab completion
set con_completion_playdemo	*.dem
set con_completion_timedemo	*.dem
set con_completion_ply		*.dem
set con_completion_tdem		*.dem
set con_completion_exec		*.cfg
set con_completion_chmap	map
set con_completion_devmap	map
set con_completion_gotomap	map
set con_completion_vmap		map
set con_completion_vnextmap	map
set con_completion_vdomap	map
set con_completion_playermodel	"models/player/*.iqm"

// helper
// these non-saved engine cvars shall be saved
alias makesaved "seta $1 \"${$1 ?}\"
makesaved cl_maxfps_alwayssleep
makesaved cl_port
makesaved gl_finish
makesaved net_slist_queriespersecond
makesaved r_ambient
makesaved r_drawviewmodel
makesaved r_showsurfaces
makesaved r_subdivisions_tolerance
makesaved skill
makesaved vid_gl13
makesaved vid_gl20
makesaved v_idlescale
makesaved v_kicktime
makesaved music_playlist_list0
makesaved music_playlist_random0

// ticrate
//sys_ticrate 0.0166667 // 60fps. This would be ideal, but kills home routers.
sys_ticrate 0.0333333 // Use 30fps instead.
cl_netfps 60 // should match or be a multiple
sv_gameplayfix_delayprojectiles 0
sv_gameplayfix_q2airaccelerate 1
sv_gameplayfix_stepmultipletimes 1

cl_gameplayfix_fixedcheckwatertransition 1

// delay for "kill" to prevent abuse
set g_balance_kill_delay 2
set g_balance_kill_antispam 5

// this feature is currently buggy in the engine (it appears to PREVENT any dropping in lots of maps, leading to weirdly aligned entities, and in some cases even CAUSES them to drop through solid, like in facing worlds nex)
sv_gameplayfix_droptofloorstartsolid 0

seta gl_texturecompression 0
gl_texturecompression_color 1
gl_texturecompression_gloss 1
gl_texturecompression_glow 1
gl_texturecompression_lightcubemaps 1
gl_texturecompression_q3bsplightmaps 0
gl_texturecompression_sky 1

seta menu_mouse_absolute 1 "use the OS mouse pointer motion for menu"
seta menu_mouse_speed 1 "speed multiplier for the mouse in the menu (does not affect in-game aiming)"
set menu_use_default_hostname 1
alias sethostname "set menu_use_default_hostname 0; hostname $*"

set sv_foginterval 1 "force enable fog in regular intervals"

// Audio track names (for old-style "cd loop NUMBER" usage)
set _cdtrack_first "1"
alias _cdtrack_0 "g_cdtracks_remaplist \"$g_cdtracks_remaplist $1\""
alias _cdtrack_1 "g_cdtracks_remaplist \"$1\"; set _cdtrack_first 0"
alias _cdtrack "_cdtrack_$_cdtrack_first $2"
set g_cdtracks_remaplist ""
exec cdtracks.cfg
unset _cdtrack_first
unalias _cdtrack_0
unalias _cdtrack_1
unalias _cdtrack

cd remap $g_cdtracks_remaplist
set sv_intermission_cdtrack ""

set g_cdtracks_dontusebydefault "rising-of-the-phoenix"
seta menu_cdtrack "rising-of-the-phoenix"

set sv_maxidle 0 "kick players idle for more than this amount of time in seconds"
set sv_maxidle_spectatorsareidle 0 "when sv_maxidle is not 0, assume spectators are idle too"

// these entities are not referenced by anything directly, they just represent
// teams and are found by find() when needed
prvm_leaktest_ignore_classnames "ctf_team dom_team tdm_team"
prvm_backtraceforwarnings 1

sv_allowdownloads_inarchive 1 // for csprogs.dat
sv_allowdownloads 0 // download protocol is evil

set g_jump_grunt 0	"Do you make a grunting noise every time you jump? Is it the same grunting noise every time?"

seta cl_weaponpriority "vaporizer vortex fireball mortar machinegun hagar rifle arc electro devastator crylink minelayer shotgun hlac tuba blaster porto seeker hook" "weapon priority list"
seta cl_weaponpriority_useforcycling 0 "when set, weapon cycling by the mouse wheel makes use of the weapon priority list (the special value 2 uses the weapon ID list for cycling)"
seta cl_weaponpriority0 "devastator mortar hagar seeker fireball" "use impulse 200 for prev gun from this list, 210 for best gun, 220 for next gun.  Default value: explosives"
seta cl_weaponpriority1 "vaporizer vortex crylink hlac arc electro blaster shockwave"             "use impulse 201 for prev gun from this list, 211 for best gun, 221 for next gun.  Default value: energy"
seta cl_weaponpriority2 "vaporizer vortex rifle"                           "use impulse 202 for prev gun from this list, 212 for best gun, 222 for next gun.  Default value: hitscan exact"
seta cl_weaponpriority3 "vaporizer vortex rifle machinegun shotgun"               "use impulse 203 for prev gun from this list, 213 for best gun, 223 for next gun.  Default value: hitscan all"
seta cl_weaponpriority4 "mortar minelayer hlac hagar crylink seeker shotgun"    "use impulse 204 for prev gun from this list, 214 for best gun, 224 for next gun.  Default value: spam weapons"
seta cl_weaponpriority5 "blaster shockwave hook porto"                                     "use impulse 205 for prev gun from this list, 215 for best gun, 225 for next gun.  Default value: weapons for moving"
seta cl_weaponpriority6 "" "use impulse 206 for prev gun from this list, 216 for best gun, 226 for next gun"
seta cl_weaponpriority7 "" "use impulse 207 for prev gun from this list, 217 for best gun, 227 for next gun"
seta cl_weaponpriority8 "" "use impulse 208 for prev gun from this list, 218 for best gun, 228 for next gun"
seta cl_weaponpriority9 "" "use impulse 209 for prev gun from this list, 219 for best gun, 229 for next gun"
seta cl_weaponimpulsemode 0 "0: only cycle between currently usable weapons in weapon priority order; 1: cycle between all possible weapons on a key in weapon priority order"

set g_maplist_allow_hidden 0		"allow hidden maps to be, e.g., voted for and in the maplist"
set g_maplist_allow_frustrating 0	"allow impossible maps to be, e.g., voted for and in the maplist (if set to 2, ONLY impossible maps are allowed)"

alias _gl_flashblend_update_00 "gl_flashblend 1"
alias _gl_flashblend_update_10 "gl_flashblend 0"
alias _gl_flashblend_update_01 "gl_flashblend 0"
alias _gl_flashblend_update_11 "gl_flashblend 0"
alias gl_flashblend_update "_gl_flashblend_update_$r_shadow_realtime_dlight$r_showsurfaces"

set sv_clones 0	"number of clones a player may make (reset by the \"kill\" command)"

set cl_handicap 1	"the higher, the more damage you will receive (client setting) NOTE: reconnect or use sendcvar command to update the choice."

seta cl_clippedspectating 1 "movement collision for spectators so that you can't pass through walls and such. (client setting) NOTE: reconnect or use sendcvar command to update the choice."

seta cl_autoscreenshot 1 "Take a screenshot upon the end of a match... 0 = Disable completely, 1 = Allow sv_autoscreenshot to take a screenshot when requested, 2 = Always take an autoscreenshot anyway."

seta cl_jetpack_jump 1 "Activate jetpack by pressing jump in the air. 0 = Disable, 1 = Stop when touching ground, 2 = Enable"

// must be at the bottom of this file:

set g_bugrigs 0
set g_bugrigs_planar_movement 1	"BROTRR bug emulation"
set g_bugrigs_planar_movement_car_jumping 1	"my own bug"
set g_bugrigs_reverse_speeding 1	"BROTRR bug emulation"
set g_bugrigs_reverse_spinning 1	"BROTRR bug emulation"
set g_bugrigs_reverse_stopping 1	"BROTRR bug emulation"
set g_bugrigs_air_steering 1	"NFS bug emulation"
set g_bugrigs_angle_smoothing 5	"smooth the car angle a bit, looks nice"
set g_bugrigs_friction_floor 50	"units/sec friction on floor"
set g_bugrigs_friction_brake 950	"units/sec friction for braking"
set g_bugrigs_friction_air 0.00001	"(very small) v <- v - v^2 * g_bugrigs_friction_air"
set g_bugrigs_accel 800	"acceleration"
set g_bugrigs_speed_ref 400	"reference speed for accel and steer responsiveness"
set g_bugrigs_speed_pow 2	"reference power for accel and steer responsiveness"
set g_bugrigs_steer 1	"steering amount"

set g_ban_sync_uri ""	"sync using this ban list provider (empty string to disable)"
set g_ban_sync_interval 5	"sync every 5 minutes"
set g_ban_sync_trusted_servers ""	"request ban lists from these xonotic servers (do not include your own server there, or unbanning may fail)"
set g_ban_sync_timeout 45	"time out in seconds for the ban sync requests"
set g_ban_sync_trusted_servers_verify 0	"when set to 1, additional bans sent by the servers are ignored, and only bans for the requested IP are used"

set g_showweaponspawns 1	"display sprites for weapon spawns found on the map when a weapon key is pressed and the weapon is not available"

// ballistics use physical units, but qu based
//   Quake-Newton: 1 qN  = 1 qu * 1 g / 1 s^2
//   Quake-Joule:  1 qJ  = 1 qN * 1 qu
//   Quake-Pascal: 1 qPa = 1 qN / 1 qu^2

set g_ballistics_mindistance 2 // enable ballistics starting from 2 qu
set g_ballistics_density_player 0.50 // players are 2x as easy to pass as walls
set g_ballistics_density_corpse 0.10 // corpses are 10x as easy to pass as walls

set cl_stripcolorcodes 0	"experimental feature (notes: strips ALL color codes from messages!)"

sv_status_show_qcstatus 1	"Xonotic uses this field instead of frags"
set g_full_getstatus_responses 0	"this currently breaks qstat"

// Demo camera
set camera_enable 		0	"Enables the camera for demo playback"
set camera_free 		0	"Free camera instead of chasing the player"
set camera_reset 		0	"Resets the camera position and switch to chase mode"
set camera_speed_roll 		0.9	"Camera rotation speed"
set camera_speed_chase 		4	"Camera movement speed on the x/y/z axis while chasing the player"
set camera_speed_free 		8	"Camera movement speed on the x/y/z axis in free mode"
set camera_speed_attenuation 	10	"Camera movements attenuation factor. Bigger is smoother. Applies to mouse movements"
set camera_mouse_threshold 	0.5	"Use to ignore small mouse movements. This allows for smoother camera control"
set camera_chase_smoothly 	0	"Attenuate player movements (only in chase mode)"
set camera_look_player		0	"Always look to the player. Mouse input is ignored in this mode"
set camera_look_attenuation 	8	"Attenuation of \"looking\" movements, only if camera_look_player is set. Bigger is smoother"
set camera_forward_follows 	1	"0: Move the camera forwards without changing altitude. 1: Move towards what you are looking"

// "Gentle mode": show no blood
seta sv_gentle 0		"force gentle mode for everyone, also remove references to acts of killing from the messages"
seta cl_gentle 0		"client side gentle mode, master switch for removing both gibs and messages"
seta cl_gentle_gibs 0		"client side gentle mode (only replaces gibs); when set to 1, white smoke replaces gibs, when set to 2, colorful clouds replace gibs"
seta cl_gentle_messages 0	"client side gentle mode (only replaces frag messages/centerprints)"
seta cl_gentle_damage 0		"client side gentle mode (only replaces damage flash); when set to 1, a white flash replaces the blood image, when set to 2, a randomily colored flash is used instead"

set g_jetpack 0 "Jetpack mutator"

set g_running_guns 0 "... or wonder, till it drives you mad, what would have followed if you had."
set g_bastet 0 "don't try"

set _urllib_nextslot 0 "temp variable"
set cl_warpzone_usetrace 1 "do not touch"

set cl_effects_lightningarc_simple 0
set cl_effects_lightningarc_segmentlength 64
set cl_effects_lightningarc_drift_start 0.45
set cl_effects_lightningarc_drift_end 0.1
set cl_effects_lightningarc_branchfactor_start 0.25
set cl_effects_lightningarc_branchfactor_add 0.1

set g_hitplots 0 "when set to 1, hitplots are stored by the server to provide a means of proving that a triggerbot was used"
seta g_hitplots_individuals "" "the individuals, by IP, that should have their hitplots recorded"

set menu_updatecheck 1 "check for updates"
set menu_updatecheck_getpacks 1 "get update packs from update server"

set bot_navigation_ignoreplayers 0 // FIXME remove this once the issue is solved
set bot_sound_monopoly 0 "when enabled, only bots can make any noise"

set cl_loddistance1 1024
set cl_loddistance2 3072
seta cl_playerdetailreduction 4	"the higher, the less detailed player models are displayed (LOD)"
seta cl_modeldetailreduction 1	"the higher, the less detailed certain map models are displayed (LOD)"

set g_mapinfo_settemp_acl "+*" "ACL for mapinfo setting cvars"

seta cl_casings_maxcount 100 "maximum amount of shell casings (must be at least 1)"
seta cl_gibs_maxcount 100 "maximum amount of gibs (must be at least 1)"
seta cl_vehicle_spiderbot_cross_alpha 0.6
seta cl_vehicle_spiderbot_cross_size 1
seta cl_vehicles_hudscale 0.5
seta cl_vehicles_hudalpha 0.75
seta cl_vehicles_hud_tactical 1

//cl_gunalign calculator
seta menu_cl_gunalign 3 "Gun alignment; 1 = center (if allowed by g_shootfromclient) or right, 2 = center (if allowed by g_shootfromclient) or left, 3 = right only, 4 = left only"
alias _gunalign_01 "cl_gunalign 1"
alias _gunalign_02 "cl_gunalign 2"
alias _gunalign_03 "cl_gunalign 3"
alias _gunalign_04 "cl_gunalign 4"
alias _gunalign_11 "cl_gunalign 2"
alias _gunalign_12 "cl_gunalign 1"
alias _gunalign_13 "cl_gunalign 4"
alias _gunalign_14 "cl_gunalign 3"
alias _gunalign_update "_gunalign_$v_flipped$menu_cl_gunalign"

set _menu_alpha "" // will be set by menu QC to the current fading of the menu, can be used by CSQC to fade items
set _menu_initialized 0 "is 0 on first menu loading, 1 later"

set g_triggerimpulse_accel_power 1 "trigger_impulse accelerator power (applied BEFORE the multiplier)"
set g_triggerimpulse_accel_multiplier 1 "trigger_impulse accelerator multiplier (applied AFTER the power)"
set g_triggerimpulse_directional_multiplier 1 "trigger_impulse directional field multiplier"
set g_triggerimpulse_radial_multiplier 1 "trigger_impulse radial field multiplier"
set the_goggles "they do nothing" "but the googles, they do"

set sv_weaponstats_file "" "when set to a file name, per-weapon stats get written to that file"

seta cl_noantilag 0 "turn this on if you believe antilag is bad"

set rescan_pending 0 "set to 1 to schedule a fs_rescan at the end of this match"

set g_mapinfo_allow_unsupported_modes_and_let_stuff_break "0" "set to 1 to be able to force game types using g_ cvars even if the map does not support them"

// weapon accuracy stats
set sv_accuracy_data_share 1 "1 send weapon accuracy data statistics to spectating clients, depends on cl_accuracy_data_share"
set sv_accuracy_data_send 1 "1 send weapon accuracy data statistics and improved score info to all the clients at the end of the match, depends on cl_accuracy_data_receive, 0 send the current 'player has won' to all the clients"
set cl_accuracy_data_share 0 "1 share my weapon accuracy data statistics with other players, 0 keep my weapon accuracy data statistics hidden"
set cl_accuracy_data_receive 0 "1 receive weapon accuracy data statistics at the end of the match"

set spawn_debug 0 "use all spawns one by one, then abort, to verify all spawnpoints"
set loddebug 0 "force this LOD level"
set spawn_debugview 0 "display spawnpoints and their rating on spawn to debug spawnpoint rating calculation"
set g_mutatormsg "" "mutator message"
set speedmeter 0 "print landing speeds"
set developer_csqcentities 0 "csqc entity spam"
set waypoint_benchmark 0 "quit after waypoint loading to benchmark bot navigation code"
set g_debug_bot_commands 0 "print scripted bot commands before executing"
set g_debug_defaultsounds 0 "always use default sounds"
seta cl_forceplayermodels 0 "make everyone look like your own model (requires server to have sv_defaultcharacter 0)"
seta cl_forceplayercolors 0 "make everyone look like your own color (requires server to have sv_defaultcharacter 0, and is ignored in teamplay with more than two teams)"
seta cl_forcemyplayermodel "" "set to the model file name you want to show yourself as (does not affect how enemies look with cl_forceplayermodels)"
seta cl_forcemyplayerskin 0 "set to the skin number you want to show yourself as (does not affect how enemies look with cl_forceplayermodels)"
seta cl_forcemyplayercolors 0 "set to the color value (encoding is same as _cl_color) for your own player model (ignored in teamplay; does not affect how enemies look with cl_forceplayermodels)"
seta cl_movement_errorcompensation 1 "try to compensate for prediction errors and reduce preceived lag"

// campaign internal, set when loading a campaign map1G
set _campaign_index ""
set _campaign_name ""
set _campaign_testrun 0 "To verify the campaign file, set this to 1, then start the first campaign level from the menu. If you end up in the menu again, it's good, if you get a QC crash, it's bad."

// debug
set _independent_players 0 "DO NOT TOUCH"
set _notarget 0 "NO, REALLY, DON'T"

// define some engine cvars that we need even on dedicated server
set r_showbboxes 0

// we REALLY need the end pos nudging DP bug workaround for trace-to-end-of-solid to work
collision_endposnudge 1

// FIXME remove this when the engine feature FINALLY MAYBE works
r_glsl_skeletal 0

// animation tuning
set cl_lerpanim_maxdelta_framegroups 0.05 // must be faster than fastest weapon refire
set cl_lerpanim_maxdelta_server 0.1 // must be slower than slowest server controlled anim (e.g. animinfo stuff)

// otherwise, antilag breaks
sv_gameplayfix_consistentplayerprethink 1

// support Q1BSP maps
mod_q1bsp_polygoncollisions 1

// match q3map2
mod_obj_orientation 0

// improve some minor details
sv_gameplayfix_gravityunaffectedbyticrate 1
sv_gameplayfix_nogravityonground 1

// autodemo deleting
seta cl_autodemo_delete_keeprecords 0 "when 1, records with a newly made race/cts demo are kept even if cl_autodemo_delete is used to delete demos"

// freeze camera
set cl_lockview 0 "when 1, the camera does not move any more"

// we now use mastervolume
volume 1

// sucks less than the old one
cl_decals_newsystem 1

set sv_q3acompat_machineshotgunswap 0 "shorthand for swapping machinegun and shotgun (for Q3A map compatibility in mapinfo files)"

set g_movement_highspeed 1 "movement speed modification factor (only changes movement when above maxspeed)"

set g_maxspeed 0 "player speed limit, faster players are killed (0 for unlimited speed)"

scr_conalpha 1
scr_conalpha2factor 0.3
scr_conalpha3factor 1
scr_conalphafactor 0.8
scr_conbrightness 0.35
scr_conforcewhiledisconnected 1
scr_conscroll2_x 0.11
scr_conscroll2_y 0.2
scr_conscroll3_x 0
scr_conscroll3_y 0
scr_conscroll_x -0.1
scr_conscroll_y -0.3

scr_conforcewhiledisconnected 0
scr_infobar_height 12

// DP cannot properly detect this, so rather turn off the detection
r_texture_dds_load_alphamode 2
r_texture_dds_swdecode 1 // SW decode to quarter res if we want to load DDS but don't support the extension for it
r_texture_dds_load_logfailure 0 // this engine feature SUCKS
set vid_netwmfullscreen 0 // doesn't support non-native res

// particles optimization
r_drawparticles_nearclip_min 8
r_drawparticles_nearclip_max 16

// sv_cullentities_trace is 1, so the client doesn't have to
sv_cullentities_trace 1
r_cullentities_trace 0

// less "lagging" of other players, but also less PL tolerant... let's try this
sv_clmovement_inputtimeout 0.066 // slightly less than 2 frames, so only one frame can be compensated

// exact gloss looks better, e.g. on g-23
r_shadow_glossexact 1
r_shadow_glossintensity 1

// use fake light if map has no lightmaps
r_fakelight 1

r_water_hideplayer 1 // hide your own feet/player model in refraction views, this way you don't see half of your body under water
r_water_refractdistort 0.019

// strength sound settings
set sv_strengthsound_antispam_time 0.1 "minimum distance of strength sounds"
set sv_strengthsound_antispam_refire_threshold 0.04 "apply minimum distance only if refire of the gun is smaller than this"

// equalize looks better than fullbright
r_equalize_entities_fullbright 1

// UTF-8
utf8_enable 1

// safe font defaults
r_font_hinting 1
r_font_disable_freetype 0
r_font_size_snapping 4

// database management
set sv_db_saveasdump 0 "write server.db in dump format (loads slower, easier to read/parse)"
set cl_db_saveasdump 0 "write client.db in dump format (loads slower, easier to read/parse)"

// uid2name
seta cl_allow_uid2name -1 "-1 = ask if the player wants to disable/enable this feature, 0 = disable, 1 = enable uid2name (allows showing your name in race rankings for instance)"
seta cl_allow_uidtracking 1 "-1 = ask if the player wants to disable/enable this feature, 0 = disable, 1 = enable uid tracking (allows associating your data with your player ID)"
// FIXME set to -1 before release, once we have a dialog for this!

// polygonoffset for submodel SUCKS SUCKS SUCKS (only a hack for quake1, we don't need that)
r_polygonoffset_submodel_offset 0
r_polygonoffset_submodel_factor 0
// decals: need a higher polygonoffset than default to not compete with _decal surfaces too much
r_polygonoffset_decals_offset -28
r_polygonoffset_decals_factor 0
// this is mainly for _decal entities (their shaders should use "polygonoffset" shader parameter) - this is "good enough" as it seems, but smaller than the decals one so these don't zfight decals
mod_q3shader_default_polygonoffset -14
mod_q3shader_default_polygonfactor 0

// allow fullbright
set sv_allow_fullbright 1 "when set, clients may use r_fullbright on this server without getting a night vision effect overlay"

// auto-teams (team selection by player ID)
// any player not listed is forced to spectate
set g_forced_team_red "" "list of player IDs for red team"
set g_forced_team_blue "" "list of player IDs for blue team"
set g_forced_team_yellow "" "list of player IDs for yellow team"
set g_forced_team_pink "" "list of player IDs for pink team"
set g_forced_team_otherwise "default" "action if a non listed player joins (can be default for default action, spectate for forcing to spectate, or red, blue, yellow, pink)"

// nice alias to set up a match
// example: g_forced_team_matchsetup stormkeep "mzDo0nO2y3XpFPNbQAyeUucyaejZ9xpiXLYMGU2x3qM=" "BRLOGENSHFEGLE/+Mq3x2UGMYLXipx9ZjeaycuUeyAQ="
// will set up a match on stormkeep where mzDo0nO2y3XpFPNbQAyeUucyaejZ9xpiXLYMGU2x3qM= and BRLOGENSHFEGLE/+Mq3x2UGMYLXipx9ZjeaycuUeyAQ= play against each other
alias g_forced_team_matchsetup "map $1; settemp g_forced_team_red \"$2\"; settemp g_forced_team_blue \"$3\"; settemp g_forced_team_yellow \"$4\"; settemp g_forced_team_pink \"$5\"; settemp g_forced_team_otherwise spectate"

// random charge stuff :P
set g_weapon_charge_colormod_hdrmultiplier 4 "how much to multiply the colors by in the colormod vector"
set g_weapon_charge_colormod_red_half 0
set g_weapon_charge_colormod_green_half 0.5
set g_weapon_charge_colormod_blue_half 1
set g_weapon_charge_colormod_red_full 1
set g_weapon_charge_colormod_green_full -0.5
set g_weapon_charge_colormod_blue_full -1

// player statistics server URI
set g_playerstats_uri "" "Output player statistics information to either: URL (with ://), console (with a dash like this: -), or supply a filename to output to data directory."

// autoscreenshots
set g_max_info_autoscreenshot 3 "how many info_autoscreenshot entities are allowed"

// mod names for server browser
// note: the lowest of these that mismatches default is used
set g_mod_physics "" "Current physics config name"
set g_mod_balance "" "Current balance config name"
set g_mod_config  "" "Current config mod name"

// session locking
locksession 1

// create this cvar in case the engine did not
set snd_soundradius 1200
set snd_softclip 1
set snd_maxchannelvolume 0
set snd_streaming_length 2
seta menu_snd_sliderscale 2 "0: decibels; 1: linear percent; 2: 0..10 scale; 3: slider size percent"
seta menu_snd_attenuation_method 1 "Use exponential instead of linear falloff for sound attenuation"
alias snd_attenuation_method_0 "set menu_snd_attenuation_method 0; set snd_soundradius 1200; set snd_attenuation_exponent 1; set snd_attenuation_decibel 0" // Quake default
alias snd_attenuation_method_1 "set menu_snd_attenuation_method 1; set snd_soundradius 2400; set snd_attenuation_exponent 4; set snd_attenuation_decibel 0" // nice approximation for method 2
alias snd_attenuation_method_2 "set menu_snd_attenuation_method 2; set snd_soundradius 1200; set snd_attenuation_exponent 0; set snd_attenuation_decibel 10" // warning: plays sounds within up to 6000qu
snd_attenuation_method_1

// declare the channels we use
seta snd_channel8volume 1 "QuakeC controlled background music volume"
seta snd_channel9volume 1 "QuakeC controlled ambient sound volume"

// sound randomization
snd_identicalsoundrandomization_time -0.1
snd_identicalsoundrandomization_tics    1

// loading screen
scr_loadingscreen_background 0
scr_loadingscreen_barcolor "0 0.5 1"
scr_loadingscreen_barheight 12
scr_loadingscreen_count 1
scr_loadingscreen_firstforstartup 1
scr_loadingscreen_scale 999
scr_loadingscreen_scale_base 1
scr_loadingscreen_scale_limit 2

// other config files
exec balance-xonotic.cfg
exec effects-normal.cfg
exec physicsX.cfg
exec turrets.cfg
exec vehicles.cfg
exec crosshairs.cfg
exec gamemodes.cfg
exec mutators.cfg
exec notifications.cfg
exec monsters.cfg

// load console command aliases and settings
exec commands.cfg

// hud cvar descriptions and common settings
exec _hud_common.cfg
exec _hud_descriptions.cfg
// exec the default skin config
// please add any new cvars into the hud_save script in qcsrc/client/hud_config.qc for consistency
exec hud_luminos.cfg


// ... and now that everything is configured/aliased, we can do some things:

// Change g_start_delay based upon if the server is local or not.
if_client set g_start_delay 0	"delay before the game starts, so everyone can join; recommended to set this to like 15 on a public server"
if_dedicated set g_start_delay 15	"delay before the game starts, so everyone can join; recommended to set this to like 15 on a public server"

// enable menu syncing
alias menu_sync "menu_cmd sync"

set sv_join_notices ""
set sv_join_notices_time 15

set cl_ghost_items 0.45 "enable ghosted items (when between 0 and 1, overrides the alpha value)"
set cl_ghost_items_color "-1 -1 -1" "color of ghosted items, 0 0 0 leaves the color unchanged"
set sv_simple_items 1 "allow or forbid client use of simple items"
set cl_simple_items 0 "enable simple items (if server allows)"
set cl_simpleitems_postfix "_simple" "posfix to add fo model name when simple items are enabled"
set cl_fullbright_items 0 "enable fullbright items (if server allows, controled by g_fullbrightitems)"
set cl_weapon_stay_color "2 0.5 0.5" "Color of picked up weapons when g_weapon_stay > 0"
set cl_weapon_stay_alpha 0.75 "Alpha of picked up weapons when g_weapon_stay > 0"

// Facility for config.cfg use ONLY.
// Interpreted in post-config.cfg.
seta menu_forced_saved_cvars "" "These cvars will always be saved, despite engine/Xonotic cvar saving status"
set menu_reverted_nonsaved_cvars "" "These cvars are currently marked as saved in the flags, but have been reverted and won't stay saved. INTERNAL USE ONLY."
